# Makefile to build the Exchange Message Hook
# Key to CPU specific conditions, CPU == i386 || ALPHA || MIPS || PPC
!IF "$(CPU)" == ""
!IF "$(PROCESSOR_ARCHITECTURE)" == "MIPS" || "$(PROCESSOR_ARCHITECTURE)" == "ALPHA" || "$(PROCESSOR_ARCHITECTURE)" == "PPC"
CPU = $(PROCESSOR_ARCHITECTURE)
!ELSE
CPU = i386
!ENDIF
!ENDIF

!include <win32.mak>

!IFNDEF NODEBUG
cflags = $(cflags) -DDEBUG
!ENDIF

PROJ = exchhook

# Main target dependencies

all: $(PROJ).dll

# Extra libraries needed, not defined in win32.mak

extralibs = mapi32.lib uuid.lib shell32.lib

# Object files we need to build

OBJS = exchhook.obj exchhdlg.obj

# Build the object files

{$(HOME)}.cpp.obj:
  $(cc) $(cdebug) $(cflags) $(cvarsmt) $**

# Build the resources

$(PROJ).res: $(HOME)exchhook.RC
  $(rc) $(rcflags) $(rcvars) /fo $(PROJ).res $(HOME)exchhook.RC

# Link it together to make the executable image

$(PROJ).dll: $(OBJS) $(COMMON_OBJS) $(PROJ).res
  $(link) $(linkdebug) $(lflags) -dll -subsystem:windows,$(APPVER) $(OBJS) \
  $(COMMON_OBJS) $(PROJ).res $(extralibs) $(guilibsmt) \
  -def:$(PROJ).def -out:$(PROJ).dll

# Clean up the intermediate files

clean:
  -del *.obj 
  -del *.res 
  -del *.dll 
  -del *.lib 
  -del *.exp

